<?php
/**
* @version $Id: mod_topics.php,v 1.9 2005/12/15 17:19:53 impleri Exp $
* Based on Topics Anywhere Mod  by DtM < dtm@yucom.be > (Dennis Heeren) 
* Found at http://www.afsvlaanderen.be/topics_anywhere
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_live_site;

$authlevel   = intval( $params->get( 'auth_level', 1 ) );
$public_only = intval( $params->get( 'public', 1 ) );
$wrap = intval( $params->get( 'wrap', 0 ) );
$count 		 = intval( $params->get( 'count', 5 ) );
$hide_forums = $params->get( 'hide_forums', '' );
$class_sfx 	 = $params->get( 'moduleclass_sfx' );

$bullets   = array('-', '+', '&gt;', '&#155;', '&#187;', '', '*');
$view_ok = false;
$where_sql = "";
$pub_sql = "";
if($hide_forums != '') {
	$where_sql = " AND f.forum_id NOT IN ( $hide_forums )";
}
if($public_only == 0) {
	$pub_sql = " AND f.auth_view = 0";
}
$query = "SELECT u.* , s.* , u.user_level
	FROM #__users u, #__session s
	WHERE s.session_user_id = u.user_id
	AND s.session_logged_in = 1
	AND u.user_id = " . $my->id;
$database->setQuery( $query );
$row2 = null;
$database->loadObject($row2);
switch ( $auth_level ) {
	case 4:
		// Admin
		if($row2->guest == 0 && $row2->user_level == 1) {
			$view_ok = true;
		}
		break;
	case 3:
		// Mods
		if($row2->guest == 0 && $row2->user_level > 0) {
			$view_ok = true;
		}
		break;
	case 2:
		// Registered
		if($row2->guest == 0) {
			$view_ok = true;
		}
		break;
	case 1:
	default:
		// Public
		$view_ok = true;
		break;
}
	
$sql = "SELECT t.*, u.username, u.user_id, f.forum_name
	FROM %__topics t, #__users u, %__posts p, %__forums f
	WHERE p.post_id = t.topic_last_post_id
	AND t.forum_id = f.forum_id
	AND u.user_id = p.poster_id
	$where_sql
	$pub_sql
	ORDER BY t.topic_last_post_id DESC LIMIT $count";
$database->setQuery( $sql );
$rows = $database->loadObjectList();
// Output
?>
<ul class="topics<?php echo $class_sfx; ?>">
<?php
if($view_ok) {
	foreach($rows as $row) {
		if($wrap) {
			$link = $mosConfig_live_site . "/index.php?option=com_wrapper&dourl=" . $mosConfig_live_site . "/forums/viewtopic.php?p=" . $row->topic_last_post_id . '#' . $row->topic_last_post_id;
			$prof = $mosConfig_live_site . "/index.php?option=com_wrapper&dourl=" . $mosConfig_live_site . "/forums/profile.php?mode=viewprofile&amp;u=" . $row->user_id;
			$forum = $mosConfig_live_site . "/index.php?option=com_wrapper&dourl=" . $mosConfig_live_site . "/forums/viewforum.php?f=" . $row->forum_id;
		}
		else {
			$link = $mosConfig_live_site . "/forums/viewtopic.php?p=" . $row->topic_last_post_id . '#' . $row->topic_last_post_id;
			$prof = $mosConfig_live_site . "/forums/profile.php?mode=viewprofile&u=" . $row->user_id;
			$forum = $mosConfig_live_site . "/forums/viewforum.php?f=" . $row->forum_id;
		}
		?>
		<li class="latestnews<?php echo $class_sfx; ?>">
		<a href="<?php echo $link; ?>" class="topics<?php echo $class_sfx; ?>"><?php echo $row->topic_title; ?></a><br />
		by <a href="<?php echo $prof; ?>" class="topics<?php echo $class_sfx; ?>"><?php echo $row->username; ?></a> in 
		<a href="<?php echo $forum; ?>" class="topics<?php echo $class_sfx; ?>"><?php echo $row->forum_name; ?></a>
		</li>
		<?php
	}
}
?>
</ul>
